<!DOCTYPE html>
<html>
<head>
<title>Temperature Converter</title>
<style>
body {
   font-family: Verdana, sans-serif;
   color: darkslategray;
   margin: 2em;
}
  div {margin: 1em;}
  input[type=number] {
      padding: .5em;
      margin: .5em 0;
      display: block;
      border: 1px solid silver;
      border-radius: .3em;
      box-sizing: border-box;
  }
  button {
     margin-left: 2em;
     padding      : .2em 1em;
     font         : bold .8em sans-serif;
     color: white;
     border       : 2px solid forestgreen;
     border-radius: 5px;
     background   : forestgreen;
  }
  .msg {
    font-weight: bold;
    font-style: italic;
    padding: .5em;
    color: forestgreen;
    border-top: .1em solid darkslategray;
    border-bottom: .1em solid darkslategray;
  }

</style>
</head>
<body>
<?php
$degrees = '';
$conversion_type = 'ctf';
$message = '';

// Is there a value for both degrees and conversion?
if (isset($_GET['submit']))  {
      $degrees =  $_GET['degrees'];
      $conversion_type = $_GET['conversion'];

      if (strcmp($conversion_type, 'ctf') == 0) { //convert Celsius to Fahrehheit
            $result = sprintf("%0.2f", $degrees * 9 / 5 + 32);
            $message = "$degrees&deg; Celsius is $result&deg; Fahrenheit"; }
      else  {	// convert Fahrenheit to Celsius
            $result = sprintf("%0.2f", ($degrees - 32) * 5 / 9);
            $message = "$degrees&deg; Fahrenheit is $result&deg; Celsius"; }

	    // var_dump($_GET); echo "<strong>  using var_dump</strong><br>";
      // print_r($_GET);  echo "<strong>  using print_r</strong><br>";
}
?>
<h2>Temperature Converter</h2>
<form method="get">
   <div><label>Degrees: </label><input type="number" name="degrees" required value="<?php echo $degrees;?>"><br></div>
   <div>
      <select name="conversion">
         <option value="ctf" <?php if ($conversion_type == 'ctf') echo 'selected'; ?>>Celsius to Fahrenheit</option>
         <option value="ftc" <?php if ($conversion_type == 'ftc') echo 'selected'; ?>>Fahrenheit to Celsius</option>
      </select>
      <button type="submit" id="submit" name="submit">Convert</button>
    </div>
</form>

<?php if (strcmp($message,'') != 0) echo "<p class='msg'>$message</p>"; ?>
</body>
</body>
</html>
